Skip to main content
Version: 5.3

Retrieving Information about Connected Smart Beat

GET /clients

Get the list of Smart Beat instances connected to Smart Beat Manager:

curl -k -XGET https://<SBM_HOST>:7769/clients

Get information about a specific Smart Beat:

curl -k -XGET https://<SBM_HOST>:7769/clients/<SB guid>

Header Input Parameters

NameTypeDescription
AuthorizationstringBase64 login and password for Smart Beat Manager authorization

Output Parameters

NameTypeDescription
ipstringSmart Beat IP address
dnsstringSmart Beat DNS
hostnamestringSmart Beat hostname
systemstringSmart Beat operating system
guidstringUnique Smart Beat identifier
timestampstringSmart Beat last connection time
groupsstring arrayArray of groups that include this Smart Beat
appsstring arrayArray of apps assigned to Smart Beat
errorsobjectError structure

The errors structure has the following format:

NameTypeDescription
statusboolError presence status
guidstringUnique Smart Beat identifier
errortimestampstringError sending time
errorsobject arrayArray of objects with errors

Objects in the errors array have the following format:

NameTypeDescription
appstringName of resource where errors occurred
apperrorsstring arrayError content

Supported Errors

StatusError contentError description
400Non connected clients yetNo connected Smart Beat yet
500<response write error>Internal server error

Examples

Example output for /clients:

[
{
"ip": "133.133.133.132",
"hostname": "coolHost",
"dns": "google",
"guid": "1231",
"system": "windows-amd64",
"timestamp": "2020-10-21 19:14:07",
"groups": [
"android",
"windows",
],
"apps": [
"examplebeat_1"
] ,
"errors": {
"status": false,
"errors": null,
"errortimestamp": ""
}
},
{
"ip": "133.133.133.133",
"hostname": "coolHost",
"dns": "google",
"guid": "1232",
"system": "windows-amd64",
"timestamp": "2020-10-21 19:14:55",
"groups": [
"linux",
"ios"
],
"apps": [
"filebeat_1"
],
"errors": {
"status": true,
"errors": [
{
"app": "filebeat",
"apperrors": [
"error1",
"error2"
]
},
{
"app": "examplebeat",
"apperrors": [
"error3",
"error4"
]
}
],
"errortimestamp": "2020-11-09 17:05:30"
}
}
]

Example output for /clients/1231:

{
"ip": "133.133.133.132",
"hostname": "coolHost",
"dns": "google",
"guid": "1231",
"system": "windows-amd64",
"timestamp": "2020-10-21 19:14:07",
"groups": [
"android",
"windows",
],
"apps": [
"examplebeat_1"
],
"errors": {
"status": false,
"errors": null,
"errortimestamp": ""
}
}